<?php
define('_IN_JOHNCMS', 1);
$headmod = 'manager';
$textl='Клуб';
require_once("../incfiles/core.php");
require_once("../incfiles/head.php");
require_once("manfunc.php"); 

if(!$id && $club_id)$id=$club_id;

$dop=functions::check($_GET['dop']);

if($id==$club_id)echo"<h2 align='center'>Мой клуб</h2>"; else echo"<h2 align='center'>Клуб</h2>";

$q=mysql_query("select * from fman_clubs where id='$id';");
$a=mysql_fetch_array($q);

echo"<div class='menu'><div align='center'><img src='emblems/$a[id].jpg' alt='$a[name]'/></div></div>
<div class='menu'>Название: <b>$a[name]</b></div>
<div class='menu'>Город: <b>$a[city]</b></div>
<div class='menu'>Страна: ".land($a[land],'link')."</div>";

$count_trans=mysql_result(mysql_query("select count(*) from fman_news where club_id=$id;"),0);
$count_trans_new=mysql_result(mysql_query("select count(*) from fman_news where club_id=$id and time>".($realtime-3600*48).";"),0);

if($id!=$club_id && $a[user_id])
{
	$qu=mysql_query("select * from users where id='$a[user_id]';");
	$udata=mysql_fetch_array($qu);
	echo"<div class='menu'>Менеджер: <a href='/users/profile.php?user=$a[user_id]'>$udata[name]</a>";
	if($a[u8])echo" (Начал управлять клубом ".functions::display_date($a[u8]).")";
	if($rights>=7 && $rights>$udata[rights])echo" [<a href='uvol.php?id=$a[id]'>уволить</a>]";
	echo"</div>";
}
if($id==$club_id && $a[u8])echo"<div class='gmenu'>Я начал управлять клубом ".functions::display_date($a[u8])."</div>";

if($id==$club_id && $rights<7 || $id==$club_id)echo"<div class='gmenu'>[<a href='uvol.php?id=$a[id]'>уволиться</a>]</div>";

echo"<div class='phdr'><b>Команда</b></div>
<div class='menu'><a href='news.php?id=$id'>Журнал клуба</a> ($count_trans".($count_trans_new ? " <span class='red'>+$count_trans_new</span>" : '').")</div>
<div class='menu'><a href='list-of-players.php?id=$id'>Список игроков</a> (".count_players($id).")</div>";

if($club_id==$id)echo"<div class='menu'><a href='sostav.php'>Управление стартовым составом</a></div>";

echo"<div class='menu'>Соревнование: <a href='table.php?act=champ&amp;land=$a[land]'>".land($a[land],'lig')."</a></div>";

$qra=mysql_query("select * from fman_clubs where id!=131 order by fan desc;");

$n=0;

while($ara=mysql_fetch_array($qra))
{
	$n=$n+1;
	if($ara[id]==$id)$nr=$n;
}
$npj=round($nr,-1);
if($npj<$nr)$npj=$npj+10;
$np=$npj/10;
echo"<div class='menu'><a href='rait.php?page=$np&amp;id=$id'>Рейтинг клубов</a> ($nr место из 176)</div><div class='menu'><a href='matches.php?act=b&amp;id=$id'>Ближайшие матчи</a></div>
<div class='menu'><a href='matches.php?act=p&amp;id=$id'>Последние матчи</a></div>
<div class='menu'><a href='finance.php?id=$id'>Финансы</a> (Бюджет: $".number_format($a[budj],0,'.',' ').")";
if($rights>=7 && $rights>$udata[rights])echo" [<a href='budj.php?id=$a[id]'>изменить</a>]";
echo '<div class="menu"><a href="../medal/look.php?id='.$id.'">Трофеи клуба</a></div>';
echo"</div>
<div class='menu'>Стадион: <a href='stad.php?id=$id'>$a[stadion]</a> (".number_format($a[stadv],0,'.',' ')." мест)</div>";
echo"<div class='menu'><a href='build.php?club=$id'>Постройки клуба</a></div>";
echo"<div class='menu'><a href='spons.php?club=$id'>Спонсор клуба</a></div>";
if($club_id && $club_id!=$id && $a[user_id])echo "<div class='phdr'>Действия</div>
<div class='menu'><a href='tm.php?id=$id'>назначить тов.матч</a></div>";
if($rights > 7)echo '<div class="menu"><a href="../medal/go.php?id='.$id.'"><b>Наградить</b></a><small><span class="red"> [new]</span></small></div>';
echo"<div class='phdr'><a href='index.php?'>Фут.Менеджер</a></div>";

require_once("../incfiles/end.php"); 
?>